//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//

#ifndef C_RTSCLIENTBRUSH
#define C_RTSCLIENTBRUSH
#ifdef _WIN32
#pragma once
#endif

//-----------------------------------------------------------------------------
// Purpose: A brush that will react on a mouse click, adds the npc of the rts player, 
//           and orders those to move to this brush to do something (trigger it).
//			client side: so we can detect the brush.
//-----------------------------------------------------------------------------
class C_RTSClientBrush : public C_BaseEntity
{
public:
	DECLARE_CLASS( C_RTSClientBrush, C_BaseEntity );

	DECLARE_CLIENTCLASS();

	C_RTSClientBrush();

	void Spawn( void );
	void ClientThink( void );
	int GetLevel( void ) { return m_iLevel; };

private:
	int m_iLevel;
};

#endif // C_RTSCLIENTBRUSH